package com.sun.jndi.ldap.pool;

import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;

class ConnectionsWeakRef extends WeakReference<ConnectionsRef>
{
    private final Connections conns;
    
    ConnectionsWeakRef(ConnectionsRef referent, ReferenceQueue<? super ConnectionsRef> q) {
        super(referent, q);
        this.conns = referent.getConnections();
    }
    
    Connections getConnections() {
        return this.conns;
    }
}
